Update Calendar
curl --request PATCH \
--url https://integration.getmateo.com/api/v1/calendar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/calendar"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
external_id: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "virtual",
"external_id": "<string>"
}This response has no body data.Calendar
Update Calendar
Update an existing calendar
Update Calendar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select columns to return
Calendar ID
Creation date
Latest update
Organisation ID
Name of the calendar
Calendar type (virtual or provider). Only virtual calendars can be created via the API.
External ID
Body
application/json
calendar
Calendar ID
Creation date
Latest update
Organisation ID
Name of the calendar
Calendar type (virtual or provider). Only virtual calendars can be created via the API.
Available options:
virtual, provider External ID
Response
The updated Calendar object
Calendar ID
Creation date
Latest update
Organisation ID
Name of the calendar
Calendar type (virtual or provider). Only virtual calendars can be created via the API.
Available options:
virtual, provider External ID